Categories:
  - Security
License: GPL-2.0-or-later
AuthorName: SelfPrivacy
AuthorEmail: contact@selfprivacy.org
WebSite: https://selfprivacy.org
SourceCode: https://git.selfprivacy.org/kherel/selfprivacy.org.app
IssueTracker: https://git.selfprivacy.org/kherel/selfprivacy.org.app/issues

AutoName: SelfPrivacy

RepoType: git
Repo: https://git.selfprivacy.org/kherel/selfprivacy.org.app.git

Builds:
  - versionName: 0.1.0
    versionCode: 1
    commit: v.0.1.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.0
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.1.0
    versionCode: 2
    commit: v.0.1.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.0
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.1.1
    versionCode: 3
    commit: v.0.1.1
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.0
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.1.2
    versionCode: 4
    commit: v.0.1.2
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.0
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.1.3
    versionCode: 5
    commit: v.0.1.3
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.4
    versionCode: 6
    commit: v.0.2.4
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.5.2
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.3.0
    versionCode: 7
    commit: v.0.3.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.5.2
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.4.0
    versionCode: 8
    commit: 6653408dfb0f0d5bfeed6091ad613573355bff4b
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.5.2
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.4.2
    versionCode: 10
    commit: 495cd115fa4c30d1cf00deed05c2afd31cecbf1a
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.5.2
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.5.2
    versionCode: 13
    commit: c36038b1abc1d2bb524aaf63f0ddc0d187d83cc2
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.10.4
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk
    ndk: r20

  - versionName: 0.5.3
    versionCode: 14
    commit: 125788c3abd2ceebf928197b32b26016df891863
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.10.4
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk
    ndk: r20

  - versionName: 0.6.0
    versionCode: 15
    commit: 3024016fe214058d0f099d78152fcacc3afa9334
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.2
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk
    ndk: r20

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 0.6.0
CurrentVersionCode: 15
